/*
One of those Weeks Episode 44: Alone in the Lab
Copyright (c) 2008,2011-2012 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.ep44
{
	// Adobe Imports
	import flash.display.MovieClip;

	/**
	 * This is tied to a movieclip which has the colors used by the chemical
	 * strips.
	 */
	public class ChemicalColor
	extends MovieClip
	{
// ***** CONSTANTS **********************************************************

		private static const COLOR_FRAME_OFFSET:int = 1;

// ***** VARIABLES **********************************************************

		private var _chemicalID:int;

// ***** CONSTRUCTOR ********************************************************

		public function ChemicalColor()
		{
			_chemicalID = 0;
			gotoAndStop(1);
		}

// ***** Functions - General control ****************************************

		public function setChemical(n:int):void
		{
			_chemicalID = n;
			gotoAndStop(COLOR_FRAME_OFFSET + _chemicalID);			
		}
		
		public function getChemical():int
		{
			return _chemicalID;
		}
	} // end class
} // end package

